Subject: Re: [PATCH v1 04/15] net: page_pool: create hooks for custom page providers

From: Pavel Begunkov <[email-masked]>
Date: Wed, 9 Oct 2024 23:02:55 +0100

On 10/9/24 21:49, Mina Almasry wrote:
> On Mon, Oct 7, 2024 at 3:16 PM David Wei <[email-masked]> wrote:
>>
>> From: Jakub Kicinski <[email-masked]>
>>
>> The page providers which try to reuse the same pages will
>> need to hold onto the ref, even if page gets released from
>> the pool - as in releasing the page from the pp just transfers
>> the "ownership" reference from pp to the provider, and provider
>> will wait for other references to be gone before feeding this
>> page back into the pool.
>>
>> Signed-off-by: Jakub Kicinski <[email-masked]>
>> [Pavel] Rebased, renamed callback, +converted devmem
>> Signed-off-by: Pavel Begunkov <[email-masked]>
>> Signed-off-by: David Wei <[email-masked]>
> 
> Likely needs a Cc: Christoph Hellwig <[email-masked]>, given previous
> feedback to this patch?

I wouldn't bother, I don't believe it's done in good faith.

> But that's going to run into the same feedback again. You don't want
> to do this without the ops again?

Well, the guy sprinkles nacks as confetti, it's getting hard
to take it seriously. It's a net change, I'll leave it to the
net maintainers to judge.

-- 
Pavel Begunkov